/*
	$Id: PopupWindow.cs 25 2010-01-17 19:55:07Z catwalk $
*/
using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Reflection;
using Microsoft.WindowsAPICodePack.Shell;

namespace Hiyoko.Forms{
	using WinForms = System.Windows.Forms;
	using Gdi = System.Drawing;
	
	public partial class PopupWindow : GlassWindow{
		public PopupWindow(){
			this.InitializeComponent();
			this.Loaded += this.LoadedListener;
		}
		
		private void LoadedListener(object sender, RoutedEventArgs e){
			this.Dispatcher.BeginInvoke(DispatcherPriority.Render, new Action(delegate{
				if(this.AeroGlassCompositionEnabled){
					this.SetAeroGlassTransparency();
				}
			}));
		}
	}
}